import Vue from "vue";
import VueRouter from "vue-router";

// 引入组件
import test from "~/pages/test";
import teacher from "~/pages/teacher/index";
import personal from "~/pages/teacher/personal";
import login from "~/components/login";

// 要告诉 vue 使用 vueRouter
Vue.use(VueRouter);

const routes = [
    {
        path: "/",
        redirect: '/home'
    },
    {
        path: "/home",
        component: test
    },
    {
        path: "/teacher",
        component: teacher,
        children: [
            {
                path: '',
                component: test
            },
            {
                path: 'personal',
                component: personal
            }
        ]
    },
    {
        path:"/login",
        component:login
    }
]

let router = new VueRouter({
    routes
})
export default router;
