// 询问框
export async function showDialog(content,that){
    return new Promise((resolve, reject) => {
        that.$confirm(content, '提示', {
            confirmButtonText: '确定',
            cancelButtonText: '取消',
            type: 'warning'
        }).then(() => {
            resolve()
        }).catch(() => {});
    })
}
// 显示操作成功
export function showSuccess(content,that) {
    that.$message({
        type: 'success',
        message: content
    });
}
// 显示操作失败
export function showFail(content,that) {
    that.$message({
        type: 'info',
        message: content
    });
}
