package com.hzu.bookingsystem.service;


import com.hzu.bookingsystem.bean.User;

import java.util.List;

public interface UserService {

    /**
     * 创建用户
     * @param user
     * @return
     */
    User create(User user);

    // 查找所有用户
    List<User> findAll();

    /**
     * 通过u_id查找用户
     * @param uId
     * @return
     */
    User findById(Integer uId);

    /**
     * 修改用户
     * @param user
     * @return
     */
    User save(User user);

    /**
     * 通过u_id删除用户
     * @param uId
     * @return
     */
    void deleteById(Integer uId);
}
